Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.item
Class EntityBoat

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.item.EntityBoat

    public class EntityBoat

extends Entity

Field Summary

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityBoat(World par1World)`
`EntityBoat(World par1World, double par2, double par4, double par6)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
`boolean` | `canBePushed()` Returns true if this entity should push and be pushed by other entities when colliding.
`void` | `func_70270_d(boolean par1)`
`AxisAlignedBB` | `getBoundingBox()` returns the bounding box for this entity
`AxisAlignedBB` | `getCollisionBox(Entity par1Entity)` Returns a boundingBox used to collide the entity with other entities and blocks.
`int` | `getDamageTaken()` Gets the damage taken from the last hit.
`int` | `getForwardDirection()` Gets the forward direction of the entity.
`double` | `getMountedYOffset()` Returns the Y offset from the entity's position for any entity riding this one.
`float` | `getShadowSize()`
`int` | `getTimeSinceHit()` Gets the time since the last hit.
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `performHurtAnimation()`
`void` | `setDamageTaken(int par1)` Sets the damage taken from the last hit.
`void` | `setForwardDirection(int par1)` Sets the forward direction of the entity.
`void` | `setPositionAndRotation2(double par1, double par3, double par5, float par7, float par8, int par9)`
`void` | `setTimeSinceHit(int par1)` Sets the time to count down from since the last time entity was hit.
`void` | `setVelocity(double par1, double par3, double par5)`
`void` | `updateRiderPosition()`

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBrightness, getBrightnessForRender, getCollisionBorderSize, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setRotationYawHead, setSneaking, setSprinting, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityBoat

    public EntityBoat(World par1World)

### EntityBoat

    public EntityBoat(World par1World,
                      double par2,
                      double par4,
                      double par6)

Method Detail

### getCollisionBox

    public AxisAlignedBB getCollisionBox(Entity par1Entity)

  Returns a boundingBox used to collide the entity with other entities and blocks. This enables the entity to be pushable on contact, like boats or minecarts.

  Overrides:
    `getCollisionBox` in class `Entity`

### getBoundingBox

    public AxisAlignedBB getBoundingBox()

  returns the bounding box for this entity

  Overrides:
    `getBoundingBox` in class `Entity`

### canBePushed

    public boolean canBePushed()

  Returns true if this entity should push and be pushed by other entities when colliding.

  Overrides:
    `canBePushed` in class `Entity`

### getMountedYOffset

    public double getMountedYOffset()

  Returns the Y offset from the entity's position for any entity riding this one.

  Overrides:
    `getMountedYOffset` in class `Entity`

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `Entity`

### performHurtAnimation

    public void performHurtAnimation()

  Overrides:
    `performHurtAnimation` in class `Entity`

### canBeCollidedWith

    public boolean canBeCollidedWith()

  Returns true if other Entities should be prevented from moving through this Entity.

  Overrides:
    `canBeCollidedWith` in class `Entity`

### setPositionAndRotation2

    public void setPositionAndRotation2(double par1,
                                        double par3,
                                        double par5,
                                        float par7,
                                        float par8,
                                        int par9)

  Overrides:
    `setPositionAndRotation2` in class `Entity`

### setVelocity

    public void setVelocity(double par1,
                            double par3,
                            double par5)

  Overrides:
    `setVelocity` in class `Entity`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `Entity`

### updateRiderPosition

    public void updateRiderPosition()

  Overrides:
    `updateRiderPosition` in class `Entity`

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `Entity`

### setDamageTaken

    public void setDamageTaken(int par1)

  Sets the damage taken from the last hit.

### getShadowSize

    public float getShadowSize()

  Overrides:
    `getShadowSize` in class `Entity`

### getDamageTaken

    public int getDamageTaken()

  Gets the damage taken from the last hit.

### setTimeSinceHit

    public void setTimeSinceHit(int par1)

  Sets the time to count down from since the last time entity was hit.

### getTimeSinceHit

    public int getTimeSinceHit()

  Gets the time since the last hit.

### setForwardDirection

    public void setForwardDirection(int par1)

  Sets the forward direction of the entity.

### getForwardDirection

    public int getForwardDirection()

  Gets the forward direction of the entity.

### func_70270_d

    public void func_70270_d(boolean par1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD